<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.JspContext"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
// Get the JspContext that was created on the main edit page
final JspContext jspContext = (JspContext)request.getAttribute(JspContext.ATTRIBUTE_KEY);
final Extension extension = (Extension)request.getAttribute(JspContext.EXTENSION_KEY);

// The current item is found in the context. NOTE! Can be null if a new item
final User user = (User)jspContext.getCurrentItem();

// Get the DbControl and SessionControl used to handle the request (do not close!)
final DbControl dc = jspContext.getDbControl();
final SessionControl sc = dc.getSessionControl();
final String ID = sc.getId();

final String yubiKeyId = (String)user.getExtended("yubiKeyId");
final String yubiKeySerial = (String)user.getExtended("yubiKeySerial");

String HOME = jspContext.getHome(extension);
%>
<base:page type="include">
	<base:body>
		<div id="yubikey-data" class="datacontainer"
			data-home="<%=HOME%>"
		></div>
		<table class="fullform input100">
		<tr>
			<th>Public ID</th>
			<td>
				<input type="hidden" name="ep.yubiKeyId" id="yubiKeyId" value="<%=HTML.encodeTags(yubiKeyId) %>">
				<span id="yubiKeyId2"><%=yubiKeyId == null ? "<i>No YubiKey</i>" : HTML.encodeTags(yubiKeyId) %></span>
			</td>
			<td></td>
		</tr>
		<tr>
			<th>Serial #</th>
			<td>
				<input type="text" name="ep.yubiKeySerial" id="yubiKeySerial"
					value="<%=HTML.encodeTags(yubiKeySerial)%>"
					maxlength="32">
			</td>
			<td></td>
		</tr>
		<tr class="dynamic">
			<th>YubiKey</th>
			<td>
				<div style="padding: 1em;">
					<div id="no-yubikey" style="<%=yubiKeyId == null ? "" : "display: none;"%>">
						<div class="messagecontainer note" style="margin: 0;">
							This user is currently not configured to login with YubiKey.
							Assign a YubiKey to this user by inserting a one-time-password
							in the field below. Press <b>ENTER</b> to verify.
						</div>
						
						<div style="margin-top: 1em;">
							<b>YubiKey one-time-password</b><br>
							<input type="text" name="yubiKeyOtp" id="yubiKeyOtp" autocomplete="off">
						</div>
						
						<div id="yubikey-verifying"
							style="display: none; font-style: italic; margin-top: 1em;">
							Verifying YubiKey. Please wait...
						</div>
						
						<div id="yubikey-error" class="messagecontainer error" 
							style="display: none; margin: 0; margin-top: 1em;">
						</div>
						
					</div>
				
					<div id="has-yubikey" style="<%=yubiKeyId == null ? "display: none;" : ""%>">
						<div class="messagecontainer note" style="margin: 0;">
							This user is currently configured to login with YubiKey.
							Click <b>Remove</b> to remove the YubiKey from this user.
						</div>
					
						<base:buttongroup style="margin-top: 1em;">
							<base:button id="btnYubiKeyRemove" title="Remove" />
						</base:buttongroup>
					</div>				
				</div>
				
			</td>
			<td></td>
		</tr>
		</table>
	</base:body>
</base:page>

